/*
  Warnings:

  - The primary key for the `Response` table will be changed. If it partially fails, the table could be left without primary key constraint.
  - You are about to drop the column `content` on the `Response` table. All the data in the column will be lost.
  - You are about to drop the column `from` on the `Response` table. All the data in the column will be lost.
  - You are about to alter the column `id` on the `Response` table. The data in that column could be lost. The data in that column will be cast from `String` to `Int`.

*/
-- RedefineTables
PRAGMA defer_foreign_keys=ON;
PRAGMA foreign_keys=OFF;
CREATE TABLE "new_Response" (
    "id" INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,
    "to" TEXT NOT NULL,
    "request" TEXT,
    "response" TEXT,
    "createdAt" DATETIME,
    "processedAt" DATETIME
);
INSERT INTO "new_Response" ("createdAt", "id", "processedAt", "to") SELECT "createdAt", "id", "processedAt", "to" FROM "Response";
DROP TABLE "Response";
ALTER TABLE "new_Response" RENAME TO "Response";
PRAGMA foreign_keys=ON;
PRAGMA defer_foreign_keys=OFF;
