import { WebSocket } from "ws";

const scheme = process.env.PLEROMA_INSTANCE_URL?.startsWith("https")
  ? "wss"
  : "ws"; // this is so nigger rigged
const host = process.env.PLEROMA_INSTANCE_DOMAIN;

export const createWebsocket = (): WebSocket => {
  try {
    const ws = new WebSocket( // only connects to Soapbox frontends right now, but could pretty easily connect to Pleroma frontends with some tweaking
      `${scheme}://${host}/api/v1/streaming?stream=user`,
      [process.env.SOAPBOX_WS_PROTOCOL as string],
      {
        followRedirects: true,
      }
    );

    return ws;
  } catch (error: any) {
    throw new Error(error);
  }
};
